Moving Cubase 4 from a G5 to a Mac Pro

I’m trying to move my Cubase 4.5.2 from a Mac G5 to a Mac Pro (OS10.6). Installed fine but when I try to run it a ‘no valid license’ error message comes up, but there is the license in the eLicenser window!! (see attached screenshot). I’ve searched the forums for this issue and haven’t been able to find it. Can anyone help? Am I missing something?

Thanks.
Screen shot 2017-03-24 at 18.49.09.jpg

You can try installing the last version of the eLicenser Control Center that was supported on Mac OS 10.6 Snow Leopard however please note that Cubase 4 is an older discontinued program version and is not supported on Snow Leopard. The last Mac OS version that Cubase 4 was supported on was 10.5 Leopard.

http://download.elicenser.net/downloads/Archive/eLC_6.7.1.8151/eLicenserControl.dmg

https://www.steinberg.net/index.php?id=downloads_c4&L=1

Thanks for the reply. I’ll give that a go. You’re right about Cubase 4 and 10.6 but I’ve had 4.5.2 running on 10.6 and higher in the past.